LibreOffice LibreOffice 6.1 SDK API Reference

Public Member Functions | List of all members
XDatabaseRanges Interface Referencepublished

provides functions to manage a collection of database ranges. More...

`import"XDatabaseRanges.idl";`

Inheritance diagram for XDatabaseRanges:

## Public Member Functions
void | addNewByName ([in] string aName, [in] com::sun::star::table::CellRangeAddress aRange)
| adds a new database range to the collection. More...
void | removeByName ([in] string aName)
| removes a database range from the collection. More...
Public Member Functions inherited from XNameAccess
any | getByName ([in] string aName) raises ( com::sun::star::container::NoSuchElementException, com::sun::star::lang::WrappedTargetException )
sequence< string > | getElementNames ()
boolean | hasByName ([in] string aName)
Public Member Functions inherited from XElementAccess
type | getElementType ()
boolean | hasElements ()
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

provides functions to manage a collection of database ranges.

See also
  com::sun::star::sheet::DatabaseRanges

Developers Guide
  Spreadsheets - Database Ranges

## Member Function Documentation

## ◆ addNewByName()

void addNewByName | ( | [in] string | aName,
|  | [in] com::sun::star::table::CellRangeAddress | aRange
| ) |  |

adds a new database range to the collection.

## ◆ removeByName()

void removeByName | ( | [in] string | aName | ) |

removes a database range from the collection.

The documentation for this interface was generated from the following file:

- com/sun/star/sheet/XDatabaseRanges.idl